Introduction

The EddyCentre Laboratory is a virtual eddy-current laboratory delivered right to your desktop over the web. Using our Laboratory you can simulate many kinds of eddy-current inspections without lifting anything heavier than your mouse. Simply move the probe around on the work-piece and watch/record the signals.

Our EddyCentre Laboratory is full of many kinds of inspection results that you can download and use. Our Inspection Database contains hundreds of results and more are to be added all the time. This collection contains:

Probes:

  • Air-cored
  • Differential
  • Ferrite-cored

Work-pieces:

  • Free-space
  • Blocks
  • Plates
  • Tubes

Scans:

  • Lift-off scans
  • Raster scans
  • Pivot scans

Defects:

  • Slots
  • Bore-holes
  • Elliptical Slots
  • Cracks
  • Channels:
  • Multiple frequencies
  • Multiple probes
  • Multiple defects
  • Multiple materials

A multiple parameter query engine allows you to find just the inspection you are looking for.

For further information:

  • Getting Started
  • Typical Lab Session
  • Lab Controls
Next


Getting Started

The EddyCentre Laboratory consists of several parts:

  • A browser installed on your machine (Assumed to be the Internet Explorer version 5.0 or greater).
  • The EddyCentre Lab Tools (ActiveX Controls) - downloaded from our site and installed (registered) on your machine.
  • Access to the Internet (broadband access is not necessary).

Enter the EddyCentre Laboratory from our home page at www.eddycentre.com. You must be a registered user to enter the lab, but don't worry, we allow visitors. However, we don't show our visitors everything, you must be a subscribing member to see all the inspection data.

Once you have access to our Lab page you will see

  • The laboratory web page served up by our server.
  • The Lab Tools displayed inside the browser.
  • The inspection model results also served up by our server being used by our Lab Tools.
    If your machine has access to all of these you could see a display similar to that below.

View of our EddyCentre Inspection Tool using the Impedance Display and the DataLogger Tools

For further information:

  • Take the Lab Tour
  • Installing the EddyCentre Lab Tools
  • Subscribing to our Site
  • ActiveX controls
  • Non-destructive Testing
  • EddyCentre Modelling
  • Technical Support
Previous | Next


Take the Lab Tour

If you want to see what an inspection in our EddyCentre Laboratory might be like without going to the trouble of downloading our Lab Tools and registering on our site, you can take a quick tour of a typical Lab session.

The Tour will show you:

  • How you search our Inspection Database for appropriate Inspection results
  • How you load the results up into our Lab Tools
  • How you manipulate the probe, views, channels, etc
  • How you add different display tools to the session

The tour is a series of images taken directly from our web site pages. Some of the images show our Lab Tools at work. Some of the images are shown below.

The figure below shows how you might search our EddyCentre Inspection Database for inspection results you are interested in.

The next figure shows the Inspection Tool and Impedance Display Tool at work. Notice as the probe is moved (using the mouse or an automated scan type) the signals are displayed in the impedance plane.

Click here if you want to take the tour now.


Installing the EddyCentre Lab controls

The EddyCentre Lab controls can be downloaded from our web site. They are in self-extracting executable files, which, when executed, install and register the ActiveX controls on your machine.

The EddyCentre Laboratory will operate with just the Inspection Controls. However, to be able to view or record the eddy-current signals as they are generated by the EcInspection control, you will need to use our EddyCentre Display controls. They can be downloaded and installed individually. All our Display controls all need the EcInspection control to be installed correctly before they will run in our Laboratory.

To facilitate downloads of new controls and releases, we have separated the system libraries and controls that are necessary to run our EddyCentre controls. You will need to download and install this just once as these libraries will not change. If you are a Visual Studio user you will probabably will not need to download these libraries and controls, as they will be on your system already. When installing these controls, the install script will warn you if the current library (.dll) or control (.ocx) is newer than those in the download and you are given the option to over-write these files. We do not recommend that you over-write your system DLL or OCX files, doing so may stop your system from working correctly.


Subscribing to our Site

In order to use our EddyCentre Laboratory you must be a registered user. Users are registered as:

  • Guest - allows access to download area and the 'Inspection of the Month'
  • Technician - allows Guest access plus access to the entire Inspection Database
  • Practitioner - allows Technician access plus ability to submit modelling requests

Guest registration is free. You can go to our EddyCentre Shop for pricing information for registration as Technician and/or Practitioner. You can register to the EddyCentre Laboratory by simply clicking here.


ActiveX controls

Microsoft describes an ActiveX control as "…a unit of executable code, such as an .exe, .dll, or .ocx file, that follows the ActiveX specification for providing objects. ActiveX technology allows programmers to assemble these reusable software components into applications and services."

"You can buy ActiveX components that provide generic services, such as numerical analysis or user interface elements. You can create components that encapsulate your own business transactions, and combine these with generic components. Reusing tested, standardized code in this fashion is called component software development."
"Component software development using ActiveX technology should not be confused with object-oriented programming (OOP). OOP is a way to build object-based software components; ActiveX is a technology that allows you to combine object-based components created using many different tools. To put it another way, OOP is concerned with creating objects, while ActiveX is concerned with making objects work together."

"For example, you can use an OOP tool such as Microsoft Visual C++® to construct a set of useful objects. These objects can be used and further extended by other C++ developers. If you package your objects in an ActiveX component, however, they can be used and further extended with any programming tool that supports ActiveX technology."

Our EddyCentre Tools (ActiveX controls) have been designed to run inside Microsofts Internet Explorer. When our EddyCentre Laboratory web pages are served up, they expect these tools to be present and registered on your machine. If the tools have not been installed, or have been installed incorrectly, you will get a small box with nothing in it or the AcitveX icon in place of our controls.


Non-Destructive Testing

Non-destructive Testing (NDT), in the ideal sense, lets one see inside work-pieces to identify materials or to locate and size defects. All NDT procedures have an illumination source: visible light, ultrasonic waves, gamma rays, electromagnetic waves, etc., and some sort of media on which the illuminated image is projected or recorded: retina, transducers, film, impedance analyzers, etc. It is this projected image, scattered from the defect, that is the basis of NDT.

Not all NDT inspection involves defect discrimination. Many NDT applications involve the inspection of variations of layer or plate thicknesses, which could be important for quality control in a manufacturing setting. Other applications might be the monitoring of changes in the stresses in materials by monitoring changes in their material properties, for instance inspecting the tensile and compressive loads which occur in railway rails due to environmental temperature changes.

There are two distinct aspects of NDT, qualitative and quantitative. Qualitative NDT uses variations from some balanced signal to identify material variations or the detection of a defect. On the other hand, quantitative NDT is concerned with material sorting, locating and sizing of defects, providing measures of depth or material properties. Historically, qualitative NDT has been the most widely used. However, if more information is needed than just the mere presence of cracks or corrosion, then quantitative techniques must be applied.

Defects can be combinations of inclusions, cracks, voids, corrosion or variations in material properties. To some extent the type of defect determines the NDT technique to be used, because the defect must scatter the illumination source in a detectable way. In dye penetrant testing, the dye interacts with the crack structure on the surface of the material, indicating the extent and possibly some measure of the density of the corrosion, but all sub-surface defects will not be found. Eddy-current inspection, on the other hand, can interact with the entire volume of the crack structure, and therefore contains information about surface breaking and near-surface corrosion.

For further information

  • Review of Eddy-Current NDT
  • The Eddy-Current Technique
  • The' Foward Problem'
  • Physical models
  • Mathematical models
  • Numerical models


Review of eddy-current NDT

Electromagnetic NDT has a long history in England. RADAR, an early application, played an important role during the Second World War. This application involved detection, with some discrimination. Although this technique was in its infancy, it had won over major support from scientific and political arenas. In a meeting at the Air Defence Research committee in July, 1935, Robert Watson-Watt, inventor of radio direction finding (RDF - The American term for RDF, Radio Direction and Ranging, was later adopted in an effort to standardize on nomenclature, hence RADAR), presented his paper 'Detection and Location of Aircraft by Radio Methods' for the first time to Sir Winston Churchill, who was to become a strong advocate. At the meeting he passed a four line pencilled note across the table saying

Seeking, Finding, Following, Keeping,
Is he sure to bless?
Angels, Martyrs, Prophets, Virgins,
Answer: "M, Yes"

The detection of enemy aircraft by radar was one of the major success stories of the war, firmly establishing the utility of this electromagnetic technique.

In the following decade, industry began using electromagnetic techniques for inspection. Most of these techniques were empirical. In an early effort, General Motors was using a quasi-theoretical approach to measure overlay thicknesses. However; the equipment used was analog and based on calibrated standards, advances in computers still restricted quantitative NDT to theoretical work. The theoretical basis upon which quantitative NDT stands, was being laid down at this time. Work by Tai and Wait, to mention a few.

By the mid-60's, advances in computer science had made computational electromagnetics possible and affordable for large corporations or government bodies. Therefore, theoretical results could now be approximated numerically as well as verified by experiment. The theoretical work continued with important contributions on the analytical and computational complexities of the free-space Green's function by Fikioris and Van Bladel. In their important paper Dodd and Deeds provided a theoretical basis for understanding the interaction between an eddy-current probe and planar and cylindrical conductors with up to two layers. This work also showed that numerical results were in good agreement with experiment for a large range of normalized probes geometries. Contributions were also being made from geophysics, where geophysicists were faced with similar problems. This can be seen in the work of Weaver.

The theoretical efforts continued into the next decade. The seventies saw the important work of Dodd and Deeds and Wait on cylindrical conductors. The geophysicists were now looking at volume integral techniques to solve their problems, with important contributions from Raiche and Coggon. During this period quantitative eddy-current NDT became well established as an accepted inspection technique in the field; being used especially in safety related areas in aerospace, oil and power generation industries. In the field calibration standards and manual inspection still were the norm, with very little numerical analysis of data.

There has been an explosion of effort on the computational side of eddy-current NDT since 1980 as computation speed has increased and the price of hardware decreased. Early in this decade there were several results attempting to come to grips with the nature of the singularity in the heart of the Green's function uses for electromagnetic analysis when using integral techniques by Lee, Yaghjian, Wang and Beissner. Finite element techniques were also applied to NDT by Lord and Véritè and others. Beissner and others developed boundary element techniques.

Burke has carried out experimental work for the validation of theory and computer codes. In an effort to establish experimental and theoretical benchmarks for these complicated codes two international organizations were established: Testing Electromagnetic Analysis Methods (TEAM) and Applied Computational Electromagnets (ACES). The NDT validation exercises by these two groups have been used to validate the EddyCentre basic models and the EddyCentre advanced models. These models were acknowledged by winning The Technical Co-operation Program Technical Achievement Award for Verification of Field-Flaw Models in 1992 by the British Ministry of Defense.

The application of the volume integral technique to eddy-current testing has allowed the implementation of the volume integral technique to run on personal computers on desk tops and is one of the most exciting aspects of our \ec products.


The Eddy-Current Technique

No attempt will be made here to describe all the intricacies of eddy-current NDT. Only a basic theoretical description is given. If you need more information on this subject there are lots of books available, and we strongly recommend the ASNT book Fundamentals of Eddy Current Testing, by Donald Hagemaier.

The principle of eddy-current testing is based on the capability of an alternating current in a coil to induce currents, eddy-currents, in a nearby test piece. The alternating current in the coil creates an alternating magnetic field which, when the coil is moved sufficiently close, penetrates into a test piece. If the work-piece is a conductor, i.e. has non-zero conductivity, the alternating magnetic field induces currents, eddy-currents, in the work-piece. The eddy-current itself induces a magnetic field. This field opposes the coil's magnetic field.

The opposing magnetic field created by the eddy-current in the work-piece changes the inductance and resistance of the coil. These two quantities make up a vector quantity called impedance. It is this small change in impedance, relative to the free-space inductance of the coil, the inductance when the coil is in air, which is displayed on the cathode or liquid crystal screen of eddy-current instruments. Materials with different conductivities and permeabilities will give different deflections. This is the basis of material characterization using eddy-current testing.

If the coil is placed on the work-piece and the deflected impedance signal noted, the signal will change as the coil is moved away, lifted off, the surface. This change in signal is the lift-off signal. The phase of this signal is important, because most positioning errors, like probe tilting or surface irregularities, cause noise in-phase with this signal.

If the eddy-current in the work-piece encounters a defect, the eddy-current must flow around or underneath it, if possible. This in turn changes the induced magnetic field; therefore changing the impedance of the coil. This deflected signal is what is used for defect location, characterization and sizing in eddy-current testing. The strength and phase of this signal are influence by many factors like test frequency, coil windings, defect dimensions, instrument sensitivity and noise.

The coil described above can be thought of as a probe. Indeed many eddy-current probes are just simple windings encased in some non-conducting housing. Other probes have ferrite cores made up of a non-conducting highly permeable material. The introduction of this highly permeable material near the coil can strengthen the magnetic field and hence the signal, but it does not alter the discussion above. Eddy-Current modelling is an attempt to describe the system behaviour with a simple set of rules. The accuracy of the model is dependent on how well these rules describe the system. For example, if the system to be studied is the population of rabbits and foxes in a closed ecological system, the rules could be: foxes eat rabbits, rabbits don't eat foxes, rabbits eat grass, grass dies if there are too many rabbits, foxes die if there are too few rabbits. With these simple rules, an attempt can be made to model the population changes inside this closed ecological system. This model as stated is not quantitative, it just sets own rules or assumptions about the behaviour of the system. It is the physical model.


The Forward Problem

The interaction of eddy-currents with defects is quite a complex phenomenon, but if a firm understanding can be developed then one has taken a large step towards quantitative eddy-current testing. Lord and Palanisamy describe this very well:

Although many eddy-current tests are carried out to determine composition, hardness, dimensions, and other properties of metal parts, the major barrier to further development of eddy-current and, indeed, all electromagnetic testing methods at this time, is the lack of a viable theoretical model capable of predicting the complex field/defect interactions which are the very essence of any sound defect characterization scheme.

The theoretical model is often referred to as the forward problem or forward model and is the heart of any quantitative scheme.

The forward problem is defined to be the predicting of the response of some system when all the inputs into the system are known. The forward problem is well-posed if the system response to a fixed set of inputs is always the same, that is to say the system response is a function of its inputs. This function is represented diagrammatically in figure above. The system response can be multidimensional, but must be completely determined by the input parameters.

The EddyCentre basic model and the EddyCentre advanced model can predict a probe's response due to a work-piece. In the framework of Figure, the inputs consists of all the dimensional and material parameters to describe the probe, work-piece and flaw with the driving force being the alternating current in the probe. The response is the change in impedance, delZ, in the coil due to the work-piece. The system, in this example, governs the relationship between the probe and the flaw in the work-piece. Understanding the interactions of induced eddy-currents in the work-piece is based on an appropriate physical model, mathematical model, and numerical model.


Physical models

A physical model attempts to describe the system by setting out some simplifying assumptions, not necessarily quantitative ones, that the system follows. In the rabbit and fox system described above, the rules seem quite intuitive and would help build understanding of the population variations of the two species. However, if there was a high speed motorway through this closed system, the model, as stated, would be unlikely to predict population changes accurately, because of the failure of the physical model to fit the actual situation. By these simplifying assumptions, it is hoped that the system can then be described mathematically so that quantitative information can be obtained. This is the mathematical model.


Mathematical models

A mathematical model describes the physical model in quantitative terms, it is the theoretical description of the system. For example, the population of rabbits r(t) and foxes f(t) at time t could be described as

for parameters c0, ..., c3. By choosing the parameters appropriately, all the assumptions in the physical model can be realized and the mathematical model will be able to predict the population at any time t by solving the mathematical system.


Numerical models

If a mathematical model is available, then the forward problem can be solved, if all the inputs are known. In the rabbit and fox system modelled by the mathematical model , if the parameters $c0, ..., c3, r0 and f0 are known, an attempt can be made to solve for r(t) and f(t). However, there may not be a closed form expression for the solution to this problem, in which case the solution needs to be approximated by numerical techniques. The computational model or numerical model entails finding approximate solutions to the mathematical model. Similarly, if the populations r(tj) and f(tj) are known at several times tj, j=0,1,...,n, the inverse problem would amount to solving for, or at least approximating, the coefficients c0,...,c3.

It is important to notice at this stage that there are two distinct types of modelling errors. The first is the difference between the numerical model approximation and the exact solution to the mathematical model. These are numerical errors. The other is the difference between the exact solution of the mathematical model and real world response of the system. These are modelling errors. A good model is one that is efficient to compute, but has small modelling and numerical errors in its results.


EddyCentre Modelling

The following sections discuss the basic assumptions used by the EddyCentre models, modelling precision and basic limitations.

For further information:

  • EddyCentre basic modelling
  • EddyCentre advanced modelling
  • Modelling assumptions
  • Modelling precision
  • Modelling limitations
  • Model validation


EddyCentre basic modelling

The EddyCentre basic model is a 1 dimensional numerical model which solves the forward problem of predicting the air-cored probe response from any multi-layered planar or cylindrical work-piece. The EddyCentre basic model also models the electric and magnetic fields created by the probe in any region of a defect free work-piece, the incident fields.


EddyCentre advanced modelling

The EddyCentre Advanced Modelling is used to model the eddy-current probe signal when a volumetric defect has been introduced into the work-piece or ferrite has been placed in the probes windings; or both. The presence of this defect alters the flow of the eddy-currents in the work-piece, which changes the magnetic field induced by this current.

Ferrite changes the incident field generated by the windings and also interacts with the magnetic field created by the induced eddy-currents. These changes alter the magnetic field in the probe and cause a change in its impedance.

EddyCentre defect modelling

The EddyCentre defect model works by:

  • Modelling the defect volume using a number of equal rectangular cells or elements, each with a constant conductivity value. For cylindrical geometries, each element is actually a sector.
  • Modelling how an electrical source in each cell contributes to the field in all the remaining cells and stores the resulting matrix.
  • At each scan position, modelling the incident field in the centre of each of the cells.
  • At each scan position, solving the matrix equation, with the incident field as the forcing function, for the unknown scattered field in the defect volume. The sum of the dot product of incident and scattered field in each cell is then proportional to the impedance change for absolute probes or difference in potential for differential probes.

If a scattered field is being modelled an extra step is added to model the field in the desired region with the probe and the scattered field in each cell as contributing sources.

EddyCentre ferrite probe modelling

The EddyCentre ferrite probe model is a numerical model which solves the forward problem of predicting the ferrite-cored probe response to a volumetric defect in any multi-layered planar work-piece. The EddyCentre ferrite probe also models the incident and scattered electric and magnetic fields created by ferrite-cored probes in any region of the planar work-piece. The defect can be in any conducting region, but the region must be non-ferrous..


Modelling Assumptions

The major assumptions made by the EddyCentre models are:

  • All materials are isotropic.
  • The defect volume is completely contained in one region (does not cross region boundaries).
  • The region containing the defect is non-ferrous.
  • For cylindrical geometries - the radius of curvature of the inspected surface is assumed large compared to the radius of the probe.
  • For cylindrical geometries - the extent of the defect around the circumference of the work-piece is assumed small compared to the circumference.

The EddyCentre Lab tools will prevent you from violating these assumptions and will give you appropriate error messages when you are designing your own inspections . If you are interested in modelling ferrous materials you can approximate the solution by assuming the material is locally magnetically saturated and set the relative permeability of all materials to unity.


Modelling Precision

The accuracy of the EddyCentre advanced models is controlled by the number of elements into which the defect volume is divided and the precision to which the matrix coefficients and field are computed. The EddyCentre Inspection tool will determine appropriate defect volume divisions and precision values automatically when you choose Low, Medium or High precision properties, but you are free to set them yourself by choosing the Advanced property setting. To find out more see the Inspection tool's channel control documentation.

The major influence on the accuracy, problem size and solution time is the number of defect elements in the defect volume. The number of unknowns (degrees of freedom) is

nu = 3 x nw x nl x nd,

where nw, nl and nd are the number of cells across the width, length and depth of the defect volume, respectively. For cylindrical geometries: depth is in the radial direction, length in the axial direction and width is around the circumference. The factor of 3 occurs because of the 3 components of the field in each cell. The system of equations (matrix) which results is nu x nu. As you can see you can run out of memory if the number of elements is not controlled.

The dimensions of each cell need to be of the order of local skin-depth of the region, which of course is controlled by the conductivity and frequency of the scan (remember, the defect region must have a relative permeability of one). The Inspection tool determines the number of elements (nxi x nyj x nz), based on the following algorithm, where k is the skin-depth, dm is the smallest cell dimension in each of the 3 coordinate directions and di represents either of the remaining cell dimensions:

  • Low - nm >= 2dm/k and ni >= di/2k
  • Medium - nm>= 2dm/k and n >= di/k
  • High nm>= 3dm/k and n >= 2di/k

Therefore, all cell dimensions are of the order of a skin-depth, with a maximum of 2 skin-depths and a minimum of 1/3 of a skin-depth.

You are free to determine the number of cells in each or all directions yourself by choosing the Advanced precision level; however, care must be taken not to be too coarse, which could cause the EddyCentre models to provide inaccurate results, or too fine, which could cause a high demand on system resources..

The aspect ratio, which is the ratio of the largest cell dimension to the smallest, has a significant influence on time needed to solve for the matrix coefficients. The higher the aspect ratio the longer the solution time. However there is no accuracy trade-off here, it just takes longer to solve for the matrix coefficients. In some instances, a shorter overall solution time for a scan can be achieved by decreasing the aspect ratio and increasing the number of unknowns, thus the matrix solution time is shortened, but the time used for each scan point is increased.

If you do not have enough memory to hold the entire matrix and the fields your system will start to thrash, continuously swapping parts of the matrix in and out of memory, which will dramatically increase the solution time. You may have to decrease the frequency, precision level, or defect size to obtain a solution. If you are consistently thrashing or cannot run a particular Inspection File, you may have to increase your virtual memory setting or buy more memory for your machine.


Modelling Limitations

The major limitation\index{model, limitations} of the \amms\ arise from the way volumetric defects are subdivided. Rectangular slots are modelled exactly; however, defects that cannot be modelled as a collection of rectangular elements, like cracks, holes, elliptical slots, etc., have to be approximated using rectangular cells. This can be done because each element has its own conductivity value.

Approximating complex defect shapes is done by using the volume fraction of defect in each cell. The volume fraction is the ratio of defect volume in an element to total element volume. If the element is entirely inside the defect the volume fraction is 1, if it is entirely outside the volume fraction is zero and so on. The defect volume fractions can be used to introduce more complicated features into defect models, like bridging, corrosion products, inclusions and so on.


Model Validation

Our EddyCentre models have been extensively validated. The validation involved comparisons with model predictions and experimental results.

For detailed information about how the EddyCentre models have been validated see the chapter on model validation in our Analyst's Guides.


Typical Lab Session

Previous | Next


Finding an Inspection

type topic text here


Starting a Lab Session

type topic text here


Lab Controls

In our EddyCentre Laboratory, the user defines controls and models inspections by interacting with our EddyCentre Inspection controls. When simulating the inspection, the user can view the "live data" (the output signals of the models) using our EddyCentre Display controls.

For further information:

  • EddyCentre Inspection controls
  • EddyCentre Display control s


EddyCentre Inspection Controls

The EddyCentre Inspection controls are used to define, load, edit and save the parameters that make up an inspection task. Once defined the Inspection controls can persist the parameters in one XML document per inspection.

Most of the EddyCentre Inspection controls are visible controls and their properties windows can be opened by right clicking on the control itself. The properties windows can also be opened using the Edit menu. The EddyCentre Model control is an invisible control, therefore its properties window can only be opened by using menus. The individual controls parameters are defined or edited by using the properties windows of the corresponding control as defined in the following sections.

  • EddyCentre Inspection control
  • EddyCentre Channel control
  • EddyCentre Probe control
  • EddyCentre Model control
  • EddyCentre WorkPiece control
  • EddyCentre Defect control
  • EddyCentre Scan control


EddyCentre Inspection control

The EddyCentre Inspection control is the main Inspection Tool used in our Laboratory. It acts as a container for all our other controls, but it does have features of its own. Referring to the Figure, the EcInspection control shown contains several visible EddyCentre controls. They consist of an EcChannel control, EcWorkPiece control, EcProbe control and EcDefect control. The EcInspection control also contains an EcScan control and an EcModel control. The former is set as invisible and the latter is not a visible control; therefore, neither control is visible in the Figure.

Typical view of the ECInspection control

The EcInspection control's data consists of the following information:

  • Inspection header information
  • List of channels used in the inspection
  • List of probes used in the channels
  • List of work-pieces used in the channels
  • List of defects used in the channels
  • List of scans used in the channels
  • List of materials used in the work-pieces

Note: It is not an error to have objects in these lists that are not in use.

Use the menu bar at the top of the EcInspection control to manage the control. The control's direct properties page is accessed using the Edit:Properties menu item. Use the EcInspection control's properties page to add, delete and edit items in these lists. The individual properties windows are described in the next section.


EcInspection control properties

When the EcInspection control's property page opens up it appears as shown in the Figure below.

EcInspection control general tab properties

General tab

Use the General tab to edit the Inspection header information. The information contained in the header is shown in the Figure. The dimmed information is maintained by the control itself and is not available for editing. Simply type the desired information in the text boxes provided and then OK or Apply the changes.

Apply button

If you have made changes to the inspection header information you can update the Inspection object with this information by clicking the Apply button.

Channels, WorkPieces, Probes, Defects, Scans and Materials tabs

The remaining tabs: Channels, WorkPieces, Probes, Defects, Scans and Materials are used to maintain the lists of items used in the inspection. The WorkPieces tab is shown in the Figure below, but all the remaining object tabs look and behave the same way.

Channels tab on the EcInspection control's properties page

The listbox on the left side of the page shows all the objects of the current type contained in the inspection. For example, in the Figure above, there are 3 Channel objects available in this inspection.

New button

Pressing the New button will add a new object to the list. For example, in the Figure above, the New button was pressed twice adding two new Channel objects: Channel 2 and Channel 3. The objects will be the default objects.

Add button

Press the Add button to add all the objects from another Inspection to the list of available objects. You cannot add Channel objects though, you must create new Channel objects from scratch.
If for example, you want to add all the WorkPiece objects from the inspection Insp01000.xml. If you do not want all the objects, just use the Delete button, as described below, to delete the undesired objects from the list.

Delete button

Use the Delete button to delete undesired objects from the Inspection. Simply highlight the desired object for deletion by selecting it in the list, then press the Delete button. For example, in the Figure above, pressing the Delete button would cause the Channel2 object to be removed from the display and the Inspection.

You cannot delete any object that is in use by any channel. For example if you try to delete "WorkPiece1" , you would get the message:

because WorkPiece1 is in use by Channel1. If you are deleting a channel, it must not be the one currently in focus in the Inspection control and cannot be the only remaining Channel object. Channel focus switches to the next available Channel object.

Properties button

Press the Properties button to open the properties page for the object selected. See the individual object controls for more details.

OK button

Pressing the OK button will attempt to apply any changes you have made and close the properties window. Any errors found will be reported and need to be corrected before the properties window is closed.

Cancel button

The cancel button closes the properties window, losing any changes you may have made. You will be warned about any changes that will be lost.


EcInspection control menu

The EcInspection control's menu is the main interface used to administer the EcInspection control. The menu will appear slightly differently if you are using the control on-line versus using the EddyCentre application locally. The menu choices are:

  • File menu - controls which Inspection file is loaded, saved, etc.
  • Edit menu - allows the view/editing of the parameters in the Inspection
  • View menu - administers how the Inspection is viewed and other viewing tasks
  • Tools menu- allows the loading of display controls and modelling tasks if they are registered on your machine
  • Help menu - provides access to the on-line or local help system


EcInspection control's File menu

The File menu is shown in the following Figure.

File menu

New command

Use the New command to create a new Inspection object.
The Inspection currently loaded in the Inspection control will be abandoned and any changes will be lost. A message box will warn you that this is about to happen and will allow you to cancel the New command if necessary.

Open command

The Open command allows you to open an Inspection file available on your local computer/network in the Inspection control. As in the New command above, all changes to the current Inspection will be lost.

Download command

The Download command allows you to download a different Inspection from our website www.eddycentre.com. You simply type the desired name, i.e. Insp00100 and the Inspection control will attempt to download it for you. The file will be read only - so you will not be able to save it to your local disk/network however.
You must be a registered user before you can download files. Please go to our website www.eddycentre.com for more information about registering.

Print command

The Print command allows you to print a copy of the current state of the Inspection control.

Save/Save As commands

The Save command allows you to save a copy of the current Inspection to your local disk/network. The Save As command allows you to rename the Inspection file before saving.

Submit command

The Submit command enables you to submit Inspections to our Technical support staff for modelling using our EddyCentre Modelling software. You must be a registered user at the Practitioner level to have the authority to submit Inspections for modelling.

If you have the correct authorization, you should see the following message box appear.

The Inspection is submitted as an e-mail and, as described in the message box, it must first be saved to disk. We suggest you use the name of the same reference from our web page, but you are free to choose any name you like.

Once you have saved the file, your e-mail system should capture the e-mail request and you should see something like the Figure shown below.

If for some reason this process fails just send the e-mail manually to info@current.co.uk and include the file and Inspection file reference that you were given.


EcInspection control's Edit menu

All of the View menu commands work against the channel that is in focus, which is the one currently in the view. To change the channel in focus, use the View menu.

Edit menu

  • Channel command - opens the EcChannel control's properties page
  • Work-piece command - opens the EcWorkPiece control's properties page
  • Probe command - opens the EcProbe control's properties page
  • Scan command - opens the EcScan control's properties page
  • Defect command - opens the EcDefect control's properties page
  • Model command - opens the EcModel control's properties page
  • Properties command - opens the EcInspection control's properties page


EcInspection control's View menu

The Figure below shows the EcInspection control's View menu.

EcInspection control's View menu

Probe Signal menu

The Probe Signal menu is used to control what filter is applied to the status bar display of the EcInspection control as the probe is moved around the display.

EcInspection control's Probe Signal menu

Field menu

The field menu is enabled when modelled fields are present in the Inspection. Use the menus and commands here to choose and view the fields.

EcInspection control's Field menu

Field::Signal menu

The Signal menu shown in the Figure above determines the filter applied to the field values as the mouse is moved around a field scan.

Field::Source menu

The Source menu is used to determine which Field Source is displayed in the field scan. The Figure below shows the Source menu. If a scattered field has not been modelled, the choice will not be available as shown in the example below.

EcInspection control's Field::Source menu

Field::Type menu

The Type menu is used to determine which type of Field Type is displayed in a field scan. The Figure below shows the Type menu. You will be able to select only the type of field that has been modelled.

EcInspection control's Field::Type menu

Perspective menu

The Perspective menu is used to determine the view presented by the EcInspection control. The choice of view perspectives are shown in the Figure below. For cylindrical work-pieces, the Top view is equivalent to an end view. The current view perspective is shown in the status line. Clicking on this panel in the status bar also provides you with the same menu of choices.

EcInspection control's Perspective menu

Channels menu

Use the Channels menu to determine which of the Inspections channel is 'in focus'; only this channel is visible in the EcInspection control. The channel currently in focus is ticked in the menu as shown in the Figure below. The channel name is also displayed in the status bar. Clicking on this panel will also bring up the Channels menu.

EcInspection control's Channels menu

View Defect/Probe/Scan toggles

The user can hide or show the defect, probe and scan objects in the EcInspection control by toggling these menu items.

Zoom In/Zoom Out commands

Use the Zoom In or Zoom Out commands to zoom into or out of the view. Using this command either doubles or halves the view perspective. The current view scale is shown in the status line. Clicking on this panel allows you to enter the viewing scale directly.

AutoScan command

The Autoscan command simulates the scan described in the Inspection. For example, if a raster scan has been modelled, an autoscan will drag the probe along the first primary scan, pick it up, move it to the beginning of the next primary scan (determined by the secondary scan) and drag the probe along this primary scan. At each scan point the probe's signal for all modelled channels will sent to all display devices.

MapScan command

The MapScan command performs the Autoscan discussed above, but instead of sending the probe signals to any display devices, the current Probe Signal filter is used to produce a grey-scale map. The maximum signal is shown in white, while the minimum signal is shown in black, while values in between are mapped linearly in between these colors. The two Figures below show MapScans for air-cored probes over a slot in a block and a through-wall borehole in a plate.

2 MapScans of a slot and a borehole defect

Probability Scan command

The Probabilty Scan command looks at probe signals at multiple points to estimate the probability that there is a defect at that point and what its width and length might be. This process is applied across the entire area of the scan and an overall probability is assigned for each point. The length and width is then drawn for points with more than 25% probability. With an overall red-scale applied. The Figures below show Probability Scans for the two defects shown above.

Probabilty scans of the 2 defects above - bright red is highest probability

FieldScan

FieldScan of the Incident Electric field from an air-cored probe

Clear command

Clears the EcInspection control and resets it to the default condition.


EcInspection control's Tools menu

The EcInspection Tools menu displays all the EddyCentre Display controls that are registered on your machine. A view of the Tools menu is shown below. To keep the messaging between the EcInspection control and the Display controls as fast as possible, these controls are opened inside the EcInspection control. The EcInspection control's normal view is shrunk to accommodate the new display controls. A slider bar is provided so that you can adjust the size of the control.

EcInspection control's Tools menu

For example, an Impedance Display control has been added to the EcInspection control in the Figure below. You can see that all the different channel signals are being sent to the Impedance Display control.

EcInspection control with an Impedance Display control added

For further information:

  • Data Logger control
  • Impedance Display control


EddyCentre Channel Control

The EddyCentre Channel control is shown in the figure below. The EcInspection control contains one EcChannel control, therefore providing a view of one the channels in the Inspection. An Inspection can have many channels, but the one that is being viewed is the channel in focus. You can change the channel in focus by using the View menu on the EcInspection control or by clicking on the Channel name in the EcInspection control's status bar.

Top view of EcChannel control

The EcChannel control contains several EddyCentre controls:

  • EcProbe control
  • EcWorkPiece control
  • EcDefect control
  • EcScan control
  • EcModel control

For more information on the use of these controls, please see the documentation about the individual controls.

The EcChannel control's status bar appears at the bottom of the control. It displays information about the current view perspective, probe location and the view scale. Clicking on any of these items directly allows you to modify.

Every EcChannel has its own characteristics that describe it. These characteristics are:

  • Name - Name of the channel
  • Frequency - inspection frequency of the channel
  • WorkPiece - Name of the WorkPiece used by the channel
  • Probe - Name of the Probe used by the channel
  • Defect - Name of the Defect used by the channel
  • Scan - Name of the Scan used by the channel
  • Defect region number - number of the work-piece region containing the defect (only applies to channels Defect types not equal to Unflawed)
  • Scan region number - number of the work-piece region containing the probe, i.e. where the scan is carried out
  • Notes - Descriptive text about the channel

The EcChannel control is responsible for controlling the interaction between the objects described in the channel. As each channel in an Inspection could have different work-pieces, probes, defects, …, as you move from one channel to another in an Inspection, the view could appear differently. However, if the Inspection contains channels with just different frequencies, there will be no visual clues about which channel you are viewing. The EcInspection control does display the current channel name in its status bar.

If the channel has been modelled, the EcChannel control will estimate the probe signal as the EcProbe is moved around the screen. The EcChannel control will send the signal information to any display devices that are active, which simulates carrying out an actual inspection.
NOTE: if there are other modelled channels in the Inspection, their signal information will also be sent to the display devices. Therefore, you can view all the channels at once or any particular channel on the display devices, independently of the particular channel in focus in the EcChannel control.


EcChannel control properties

The EcChannel control's view is mostly made up of other controls; the EcScan, EcWorkPiece, EcProbe, and EcDefect controls. Therefore, right clicking on these controls will open their corresponding "hot menus". In order to open the EcChannel controls hot-menu you must right click on the status bar at the bottom of the control, the only visible part of the EcChannel control itself.

The hot-menu allows you to open the properties page for the EcChannel control. This window is shown below.

EcChannel control's property page

Use this control to make changes to the EcChannel's characteristics, i.e. Name, Frequency and Notes values by typing directly into their text boxes. The defect region number and scan regions can be modified here as well. Notice that the EcDefect control and EcScan control are defined independently of the defect region and the scan region. This allows for the same defect or scan to be used in different regions. This applies to scans only in the case of tubular inspections, when you can scan inside the tube or outside the tube (you would obviously have to choose different probes for each scan as well).

Use the pull-down lists to select the desired objects to be used by the EcChannel control. The choices provided in each of the lists are controlled by the EcInspection control. If the desired object is not in the list, you must first add it using the EcInspection control's properties page.


EddyCentre Probe control

The EddyCentre Probe control behaves as much as possible like an eddy-current probe. The simplest probe is shown in plan view below. Here the probe is a simple winding (shown in blue) around a non-conducting/non-ferrous core (shown in green). For more information about eddy-current probes see Eddy-current probes.

Top view of an eddy-current probe

The EddyCentre Probe control has three main functions:

  1. To act in concert with the EcChannel control to simulate the act of inspecting a work-piece. It acts as the focus for most mouse interactions as the user moves the EcProbe control around, lifts it off the screen, or watches it move in automated scans. The probe's location determines the signal that the EcChannel control produces. For more information about probe manipulation see the EcChannel control user-interface.
  2. To view/edit the parameters that define the eddy-centre probe that the control is modelling. These parameters are needed by the EddyCentre models to calculate the induced fields, probe responses, …. For more information about viewing and/or editing probe parameters see the EcProbe control properties page.
  3. To model the probe's free-space inductance and incident fields. This is done with the EcProbe controls own associated EddyCentre Model control. Non-ferrite probes use the EddyCentre basic models, where ferrite probes use the EddyCentre advanced models.


Eddy-current probes

Alternating current flows through the coil inducing magnetic fields. If these fields are close enough to a work-piece, the magnetic fields will penetrate the work-piece. If the work-piece is a conductor the magnetic fields will induce currents (eddy-currents) in the work-piece. The coil is said to be the "driving coil" as it drives the fields into the work-piece, i.e. induces the fields in the work-piece.

The induced eddy-currents in the work-piece induce their own magnetic fields. These fields tend to oppose the fields generated by the driving coil, which changes the resistance in the probe. This resistance change is in the form as absolute resistance, plus a phase angle, known as impedance, so the coil not only acts as the driving coil, it also acts as the "sensing coil".

Most eddy-current probes have a driving coil that also acts as the sensing coil. However, some probes have one or more special sensing coils which sense impedance or voltage differences. These are usually referred to as differential probes.

The magnetic fields generated by the driving coil do not penetrate deeply into the work-piece as the conductor acts as a shield. This limits the detection (sensing) capabilities of most eddy-current probes to sensing near surface anomalies. To help drive the fields deeper in the work-piece, ferrite (a non-conduction ferrous material) is added to the probes. The ferrite alters the shape of the magnetic fields. It tends to "focus" the fields giving better penetration and finer discrimination of anomalies. Ferrite can be added in the core of the coil, as a shield, or even surrounding the entire coil.


EcProbe Properties

EcProbe control properties

As with all our EddyCentre controls, right clicking on the EcProbe control at any time you can see the EcProbe control's hot-menu shown below.

EcProbe controls hot-menu

Using this menu you can:

  • View the name of the control
  • Change the view
  • Open the EcProbe control properties dialog box.

General tab

The EcProbe control properties dialog box allows you to change all aspects of the probe; its name, its type, etc. A typical view of the properties dialog box is shown below. For air-cored probes you will only see the general tab as shown.

General tab on the EcProbe control properties window General tab

The EddyCentre Probe control supports 5 types of eddy-current probes:

  1. Air-cored probe
  2. Pencil-cored probe
  3. Shielded core probe
  4. Cup-cored probe
  5. Differential probe

Name - Name of the control (must be non-blank)

Driving Coil parameters:
  • Inner Radius - the inner radius of the driving coil (must be > 0), shown as r1 in figure below.
  • Outer Radius - the outer radius of the driving coil (must be > Inner Radius), shown as r2 in figure below.
  • Height - the height of the coil itself, not the entire probe (must be > 0), shown as h in figure below.
  • Number of Windings - the number of complete turns in the coil, can have a fractional part (must be > 0).
  • Vertical Offset - the vertical offset of the coil from the bottom of the probe; not to be confused with lift-off. Probes often have wear plates on the bottom. (must be non-negative), shown as l in figure below
  • Radial Offset - amount of radial offset the driving coil centreline has from probe centreline (must be non-negative), there is no Radial Offset in the figure below.
  • Radial Direction - direction of radial offset.

Cross-section view of air-cored probe

Central Core tab

If you have selected any of the ferrite-cored types of probes you will see additional tabs in the properties window. The Central Core tab shown in the figure below allows you to change the parameters that control the ferrite cylinder inserted in the centre of the driving coil.

Central Core tab on the EcProbe control properties window

Central core parameters:
  • Outer Radius - the radius of the central core (must be > 0), shown as r1 in the figure below.
  • Height - the height of the cylinder of ferrite (must be > 0), shown as h1 in the figure below.
  • Vertical Offset - offset of the core from the bottom of the probe (must be non-negative). Don't confuse this with lift-off, some probes have a wear plate under the driving coil, the value is zero in the figure.
  • Permeability - The permeability of the ferrite itself (must be > 1).

Cross-section view of pencil-cored probe

Shield tab

For shield core and cup-cored probes you use the Shield tab to control the parameters that define the shield. For shielded core probes the shield is a simple cylinder of ferrite added outside the driving coil, as shown in the figure below. Cup-cored probes have an additional disc of ferrite on top of the central core and shield which forms one large circuit for the magnetic flux, as shown in the cross-sectional view below.

Shield tab on the EcProbe control's properties page

Shield parameters:
  • Inner Radius - the inner radius of the shield (must be > driving coil Outer Radius), shown as r2 in the figures below.
  • Outer Radius - the outer radius of the shield (must be > Inner Radius), shown as r3 in figures below.
  • Height - the height of the shield (must be > 0), shown as h2 in the figures below.
  • Vertical Offset - the vertical offset of the shield from the bottom of the probe (must be non-negative). Do not confuse this with lift-off, many probes have a wear plate on the bottom, shown as zero in both figures.

NOTE: for cup-cored probes Height + Vertical Offset must be > than the driving coil's Height + Vertical Offset

Cross-section view of shielded core and cup-core probes

Pickup Coil tab

If you have selected a differential probe type you will see the additional PickUp Coils tab, shown in the Figure below. You view/edit the parameters on this page to control define the 2 pick-up coils used in the probe. Differential probes are not axi-symmetric, like all the other probes. The orientation of the pickup coils relative to the scanning direction is significant. Using the Radial Direction angle as described below controls this orientation.

Pickup Coils tab on the EcProbe control properties window

Pickup Coil parameters:

  • Pickup Coil # - selector for which pickup coil you are viewing/editing.
  • Inner Radius - inner radius of the coil (must be > 0), shown as r1 and r3 in the figure below.
  • Outer Radius - outer radius of the coil (must be > Inner Radius), shown as r2 and r4 in the figure below.
  • Height - the height of the coil itself (must be > 0), shown as h1 and h2 in figure below.
  • Number of Windings - the number of complete turns in the coil, can have a fractional part (must be > 0).
  • Vertical Offset - the vertical offset of the coil from the bottom of the probe; not to be confused with lift-off. Probes often have wear plates on the bottom (must be non-negative).
  • Radial Offset - amount of radial offset the pickup coil centreline has from probe centreline (must be non-negative), shown as o1 and o2 in the figure below.

Side View of a Differential Probe type

Radial Direction - direction of radial offset relative to the positive x-axis (shown as a1 and a2 in the figure below - hence a1 = -a2 = 90 deg).

Top View of a Differential Probe type


EcProbe control menu

Model menu

The model menu allows access to the properties of the invisible EcModel control associated with the EcProbe control. For more information about these properties see the EcModel control.

Help menu

The help menu allows you to view these pages as well or the Help About page.


EddyCentre Model control

Model Types

The EddyCentre modelling software models the electromagnetic properties of work-pieces, defects, probes and their fields. In almost all cases, this involves numerical approximation of analytic expressions of these properties. The EddyCentre Model control is used to control these numerical approximations, to set grid size and precision parameters.

There is an EcModel control associated with every EcProbe control and every EcChannel control. The EcModel control is an invisible control and comes in three types:

  • Simple Probe Model type
  • Channel Model type
  • Ferrite-cored Probe Model type

The three EcModel control types are discussed in more detail below.

Simple Probe type

A 'simple probe' is a probe that consists of a single coil without a ferrite core. One of the electromagnet properties of such a probe is its free-space inductance, L0, i.e. if the probe were placed in air away from any other materials and the inductance of the probe were measured. The free-space impedance Z0 is related to the free-space inductance L0 by
L0 = Z0/omega,
where omega = 2 Pi x frequency.

L0 is a known function of the coil geometry that can be approximated numerically. The precision of this approximation is managed by the EcModel control.

Channel

The Channel type of EcModel control is used to manage the way that every channel in an Inspection is modelled. It controls the precision of all field calculations, their interaction with any defects present and will approximate the impedance change in the probe if desired. The Channel type model works only for non-ferrite cored probes. If the probe has a ferrite core, the Ferrite Probe model must be used. This is described in the next section.

The channel model assumes that the defect volume is divided up into equal volume cells and then models the interaction between each of these cells and the field generated by the probe's coil, its 'incident field'. The perturbed field created by this interaction, called the 'scattered field', is then calculated. The scattered field can then be used to model the impedance change in the coil due to the presence of this field.

Not all of these calculations will be carried out for each channel as some will not have a defect or the user will be interested in only the incident or just the scattered fields, etc. Only the incident electric field in the defect region needs to be modelled in order to calculate the impedance change in the coil. However, it is possible to model the fields in the other regions so that they can be viewed. If a raster scan is being modelled EcModel control makes sure that the incident electric field in the defect region has sufficient extent and resolution for the scan and defect.

If there is a defect present, the number of cells in each of the co-ordinate directions determines the volumetric size of each of the defect volumetric cells or sub-regions. Usually, using more cells provides a more accurate approximation; however, the more cells used also makes the overall problem larger and slower to calculate. Because the model assumes the presence of a single electric dipole at the centre of the volume, the overall dipole distribution will not be modelled well if the cells become extremely long (relative to their width) or extremely flat.

The properties pages of the EcModel control are used to set all the modelling parameters.

Ferrite Probe
Previous | Next


EcModel control properties

Controls tab

Simple Probe EcModel type

If the EcModel type is Simple Probe then the property page appears like that below.

EcModel control's property page for Simple Probe model type

The Type text box shows the type of the EcModel control, but it cannot be edited.
The approximation of L0 is controlled by the use of a relative error term, the smaller this term the higher the precision of L0. The Precision Level pull-down and the Probe Relative Error text box work in unison to determine this relative error term. If you choose one of the 3 precision levels: Low, Medium or High, the EcModel control will set the probe's relative error term to 0.01%, 0.05% and 0.001% respectively. This basically says that you want 2, 2.5 and 3 significant figures in Lo. You can set the relative error yourself by typing directly into the text box, in this case the Precision level will be set to Advanced.

If the simple probe has been modelled, the value of L0 will be displayed in the Inductance text box.

Channel EcModel type

The properties page for the Channel type model is shown below.

EcModel control's property page for channel model type

The precision level determines the accuracy that the model uses: the resolution of the sub-division of the defect volume and the relative error with which the field and individual dyadic terms are computed.

The defect volume needs to be subdivided into volumetric cells in order to model the channel. The volumetric sub-division is uniform; so all the volumetric cells are the same size. The model then calculates the dyadic operator that defines how the cells interact. The model solves a large linear system, Ax = y, for the dipoles, x, assumed constant in each cell. The matrix A is an n x n matrix, where n is the number of unknowns times three, because the fields have three components. The number of unknowns is just the number of cells in the defect volume. The vector y is the components of the incident field at the centre of each of the volumetric cells.

The sub-division of the defect volume must be of the same order of the skin-depth of the channel. The skin-depth, k, is defined as:
k = sqrt(omega x conductivity x permeability),
The skin-depth is the wavelength of the field in the work-piece. Skin-depth is an important parameter in eddy-current testing as the fields and currents are contained in a 3 skin-depth volume about the probe. The EddyCentre model involving the defect cell volumes involves a Taylor's expansion in k, so the cell dimensions need to be small relative to this amount.

If the precision level is not set to Advanced, then the sub-division of the defect volume is done by the EcModel control. It uses the following formulas:

LOW
  • nx = ceil(dx / 2k)
  • ny = ceil(dy / 2k)
  • nz = 2 x ceil(dz / k)
  • field relative error = 0.01%
  • dyadic terms relative error = 0.01%
MEDIUM:
  • nx = ceil(dx / k)
  • ny = ceil(dy / k)
  • nz = 3 x ceil(dz / k)
  • field relative error = 0.005%
  • dyadic terms relative error = 0.005%
HIGH
  • nx = 2 x ceil(dx / k)
  • ny = 3 x ceil(dy / k)
  • nz = 3 x ceil(dz / k)
  • field relative error = 0.001%
  • dyadic terms relative error = 0.001%

where di is the defect volume dimension in the ith co-ordinate direction (for cylindrical geometries, dx = dr, dy = r dtheta) and ceil(x) is the smallest integer greater or equal to x.

If the associated EcChannel control does not have a defect the Matrix elements text boxes and the Elements tab will be disabled.

Ferrite-core EcModel type

If the EcProbe control contained in the EcChannel control has a ferrite core and/or shield the probe is much more complicated to model. This is because the ferrite modifies the incident electric field and the magnetic field scattered from the defect (if present). The ferrite is modelled in a similar way to the defect in the Channel EcModel type. The ferritic core and shield (if present) are sub-divided into volumetric cells. The dyadic operator is found that describes how the cells interact with each other and then the linear system Ax = y can be solved for the unknown magnetic dipole distribution x given the incident electric field y.

EcModel control's property page for Ferrite Probe model type

The elements and dyadic terms will also be needed if the probe's impedance signal is to be modelled.

Elements tab

Use the Elements tab, shown in the Figure below, to view/edit the way the defect volume is sub-divided for Channel model types or to view/edit the way the ferrite core and shield is sub-divided for Ferrite Probe model types. You are provided with a view one layer at a time. The number of elements is determined on the Controls tab.

EcModel property page Elements tab

In both cases the percentage determines how much of the volumetric cell is defect/ferrite. For example, the Figure above shows how a 3 x 3 defect layer might appear when it is modelling a borehole. Notice that the centre volume is 100%, while those adjacent are only 85% and the corners are 58%.

If you want to change a cell's value, simply highlight it (like the centre one has been in the Figure) and then type in the Percent text box or use the Up/Down buttons to change that cell's value. You can change the layer you are looking at to view/edit elements for those layers.

Fields tab

Use the fields tab to control select which fields are to be modelled. The Figure below shows a typical view of the Fields tab on the EcModel control's property page. You can choose which regions, source and type of fields by selecting the field and pressing the Properties button.

Fields tab on the EcModel control's property page

For Channel EcModel types with defects present, the incident electric field in the defect region must be computed. The EcModel control will automatically add this field to the list and you will not be able to remove it. You can increase the resolution of this field, however, the EcModel control will ensure that the field resolution and extent are sufficient for the modelling requirements.

Field Properties - General Tab

A typical view of the Field's Property page is shown below. In this view the General tab has been selected.

Use the General tab on the Field's property page to set the field's parameters. The parameters are:

  • Source: Incident or Scattered
  • Type: Electric or Magnetic
  • Host Region: region containing the field (cannot cross region boundaries)
  • Rel Error: Relative error used when computing field. Associated with the Precision Level of the EcModel control.

The General tab also provides a tree view of the field: showing its parameterisation as well as the field values themselves (if they have been modelled).

Field Properties page

Radial, Azimuth and Depth tabs

The Radial, Azimuth and Depth tabs are all similar. A view of the Radial tab is shown in the Figure below. Incident fields are always radially symmetric and only the radial and depth component need be selected. Scattered fields cannot be assumed to be radially symmetric. For this type of field the Radial and Azimuth tabs change to Primary and Secondary for the raster grid defining the points where the field is to be computed.

Radial tab on the Field Properties page

Use the text boxes to define the resolution and extent of the points where the field is to be modelled.

Dyadic Terms tab

The Dyadic Terms tab provides a tree view of the dyadic elements used by the EcModeller to describe the interaction between defect or ferrite volumetric elements. The only user parameter that can be adjusted on this tab is the relative error term. This term is associated with the Precision Level on the Controls tab, but you can override the relative error term here. Overriding this term will change the Precision Level to Advanced. For more information about the dyadic terms please see our EcModeller's Analyst's Guide.

Dyadic Terms tab on the Field Properties page

Signal tab

The Signal tab provides information only. You can view the signal modelled by the EcModeller as well as the balance point and lift-off signal information.

Signal tab on the Field Properties page


EddyCentre WorkPiece control

The EddyCentre WorkPiece control is really just a container for different region objects. The EcWorkPiece control always has at least one region in it - air. This region is sometimes referred to as free-space. The Figure below shows a side view of a brass slab with a through wall defect. In this case the EcWorkPiece control has three regions, numbered from top to bottom:

  • Region 0: Air (free-space)
  • Region 1: Brass
  • Region 2: Air (free-space)

The scan can only be conducted in region 0.

Side view of EcWorkPiece control as plate

The Figure below shows the EcWorkPiece control's front view of a tube. In this case the Regions are numbered from the centre out, so that:

  • Region 0: Air (free-space)
  • Region 1: Steel
  • Region 2: Air (free-space)

Unlike the example above, the scan can be conducted in regions 0 and 2.

Front view of EcWorkPiece control as tube

For planar work-pieces in top view the EcWorkPiece control displays region 1, as seen in the following Figure, where the brass plate is displayed with a long slot defect. As with all the EddyCentre controls, right clicking on the control brings up hot-menu, which identifies the object and allows access to change the view or access to the objects properties page.

EcWorkPiece control's hot-menu


EcWorkPiece control properties

When the EcWorkPiece control's properties page opens it appears like that shown in the Figure below. It allows you to select the work-piece type and name.

EcWorkPiece control's properties page

Regions tab

Use the Regions tab to administer the region list. The acceptable types are:

  • Free-Space - only one region of air
  • Planar - flat work-pieces
  • Cylindrical - cylindrical work-pieces

Planar work-pieces could be blocks (half-spaces), plates or any manner of layered plates. You can model any work-piece where the curvature of the work-piece is small relative to the probe radius and skin-depth of the inspection. Therefore, you can quite adequately model an inspection of the top flange of a rail head with a small normal probe.

Cylindrical work-pieces could be tubes, rods or any manner of layered tubes or rods. Tubes can be inspected from the ID or OD, while rods must be inspected from the OD.

Use the Add, Delete and Properties buttons to administer the Region list. The Delete and Properties button act on the selected Region in the list, while the Add button always adds a new region to the end of the list. Use the Properties button to view/edit the individual Region parameters.

EcRegion control properties page

When the Region's properties page opens it appears as shown in the Figure below. You can select a material for the region and its depth. However, if the region is the last region in the list, then it has an infinite depth (half-space) and its depth cannot be set.

EcRegion control's properties page

If the material you want is not in the pull-down list then you must first add the material to the materials list maintained by the EcInspection control, before you can modify the current region to use that material. You can do this using the EcInspection control's properties page or use the Materials tab, which provides the same capability using the EcWorkPiece control.

Materials tab

Use the Materials tab to administer the list of materials available to the inspection. Use the Add button to add new materials to the list and the Properties button to view/edit the material's properties. Note, you must use the EcInspection control if you wish to delete a material from the list.

Materials tab on the EcWorkPiece control's properties page

EcMaterial control properties page

Use the EcMaterial control's properties page, as shown in the Figure below, to view/edit the material's properties. You can set its name, conductivity in Siemens/metre, relative permeability, fill style and color.

EcMaterial control's properties page


EddyCentre Defect control

The Figure below shows an EcDefect control in a brass plate. In this channel the EcDefect represents a long slot in a brass plate. As with all the EddyCentre controls, right clicking on the control brings up hot-menu, which identifies the object and allows access to change the view or access to the objects properties page.

Top view of an EcDefect control


EcDefect control properties

When the properties page opens it appears like that shown in the Figure below. Select the tab for the properties you are interested in viewing/editing. For Irregular Defect types two additional tabs appear: Model and Elements as shown in the Figure.

General tab

Use the General tab to set the EcDefect control's Type, Name and Dimensions. If the channel being modelled does not have a defect then the type should be set to Unflawed. Using this type of defect allows for lift-off studies, field studies and/or material properties studies.

General tab on the EcDefect control's properties page

If the channel being modelled has a defect, the EcDefect control provides physical model of defects. It represents every defect as a collection of volume cells with a constant conductivity. Cells completely inside the defect have the defect's conductivity (usually zero) and cells totally outside the defect's volume have the host's conductivity. If a cell is partially in the defect volume and partially outside the defect volume its conductivity is defined by using the volume fraction.

The EcDefect control knows how to model certain types of defects and will map the defect to the volumetric cells represented by the dyadic operator automatically. These types appear in the pull-down list:

  • Slot - rectangular slot
  • Semi-elliptical slot - semi-elliptical in side view only
  • Borehole - round hole
  • Elliptical hole - elliptical hole

Other types of defects have to be modelled by hand using the Irregular defect type. For more information about Irregular defect types see the Model and Elements tab sections.

For all the defect types, except Unflawed, use the Dimensions section to set the overall volume of the defect.

Material & Location tab

Use the Material & Location tab to set material properties and defect location properties. A typical view of the Material & Location tab is shown in the Figure below.

Material & Location tab on the EcDefect control's properties page

The Conductivity is a percentage of the host's conductivity, which is usually zero. However, if the defect has corrosion products in it, it might be best modelled as a volume containing a region of 50% of the host's conductivity.

The Location properties allow you to offset the defect from the surface or the centre of the scan.

Model tab

For Irregular Defect types the user must define the defect cell by cell similar to painting an icon. First determine the number of cells that will be used to define the defect. This choice is independent of the choice of dyadic operator size. The EcDefect control will map from the Irregular cell sub-division onto the one needed by the dyadic operator model. So you are free to choose a useful size. For example, in the following two Figures you can see that a size of 7 x 22 made a useful grid for designing the NDT defect.

You can use a template to help you generate the defect. For example, you might use the bore-hole template to generate a round hole then add a crack in the corner. You use the Elements tab to view/edit individual defect elements.

Model tab on the EcDefect control's properties page

Elements tab

The Figure below shows how you might design three separate defects in one defect volume. The cells shown in black are 0% of the host's conductivity, while those in white are 100% of the host's conductivity. If any of the cells had values in between, they would be shown in grey scale.

To edit the value of an individual cell, select it and change its percentage value in the text box.

Elements tab on the EcDefect control's properties page


EddyCentre Scan control

The EddyCentre Scan control determines where the actual probe signals are modelled. Use the EcScan control to determine the extent and resolution of the scan for each channel. A typical view of the EcScan control is shown in the Figure below. As with all the EddyCentre controls, right clicking on the control brings up a hot-menu, which identifies the object and allows access to change the view or access to the objects properties page.

Top view of EcScan control's raster scan

The EcScan control draws a yellow dot for each scan point in the scan. You will find that the scan actually 'covers' the entire region it is drawn on. To right click on the work-piece region, you may have to hide the scan control first (this is the default behaviour of the EcInspection control).

If the probe and defect are symmetric, then the EcScan control will automatically expand to show the symmetric extent of the scan. For example, for the raster scan shown in the Figure above, only the upper right-hand quadrant was actually modelled. The remaining scan extent comes free through symmetry.

The EcScan control can represent several types of scan types. We have already seen the raster scan. The Figure below shows a typical pivot scan, which can be produced by commercial automated scanning equipment. Again, symmetry has been used to extend the scan azimuthally, to cover the left-hand side of the scan.

Top view of EcScan control's pivot scan

Another type of scan is the lift-off scan, which is shown in the Figure below. Typically, this type of scan is used on unflawed work-pieces. For lift-off scans, the default is front view and each scan point is shown as a dotted line, as probe position in the x-y plane does not change the signal.

Front view of EcScan control's lift-off scan


EcScan control properties

When the EcScan control's properties page opens it appears as shown in the Figure below. It is a tabbed dialog box. Use the tabs to gain access to different properties.

General tab

Use the General tab to set the scan's overall parameters, like Name and Type. Choose the scan's Type from the pull-down list. The choices are:

  • Cylindrical - scan while probe is moved through or outside a cylindrical work-piece
  • Lift-Off - scan while probe is lifted off the surface
  • Pivot - scan while the probe is swept in increasing arcs
  • Raster - scan while the probe is swept in a rectangular grid

Not all types of scans will be available for the selected work-piece. For example, you can only use Cylindrical scans for cylindrical work-pieces.

General tab on the EcScan control's properties page

For planar work-pieces the Host Region, the region with the probe, is assumed to be region 0. For tubular objects, the host region can be region 0, the centre, or the outermost region.

The Scan Direction and Radial Offset allow you to offset the scan from the origin, which is normally where the defect is located. For Pivot scan types, these parameters are used to determine where the pivot point for the scan is located. For example, for the Pivot scan shown in a previous Figure, the Scan Direction was -90 degrees and the Radial Offset was -20mm.

Dimension tabs

Use the Dimension tabs to set the primary, secondary and tertiary scan directions (if they are appropriate to the scan). For Cylindrical and Lift-Off scans only the Dimension 3 tab will be shown.

Dimension tabs on the EcScan control's properties page

If the probe and defect are symmetric and the Dimension starts at the origin, the Symmetry form appears and shows the symmetrical extent of the scan for the current dimension. This symmetry box will not appear if the scan in that dimension is not symmetric, for example, Dimension 3 (lift-off) in a Raster scan type.


EddyCentre Display Controls

The EddyCentre Lab Display controls are designed to be used in conjunction with the EcInspection control. The EcInspection control manages the world view of the inspection, and if the Inspection has been modelled as the probe is moved around the EcInspection control, the probe's signals are interpolated from the model results and output to any EddyCentre Display controls that are active.

To speed up the communication between the EcInspection control and the EddyCentre Display controls, the display controls are added inside the EcInspection control, hence in its memory space. No marshalling or messaging needs to take place, instead the display controls are linked directly and receive input whenever a probe move event takes place.

When the first EddyCentre Display control is added, it shares the screen area previously showing the entire EcInspection control. If the user adds other display controls (multiple instances of the same control are allowed), these controls are shared vertically in the area allocated by the first display control. There is a splitter bar between the two displays, so the user is free to re-allocate the size of the EcInspection control and display controls. An example of an EcInspection control with two EcImpedanceDisplay controls addes is shown in the following Figure.

EcInspection control with two EcImpedanceDisplay controls added

There are currently two types of EddyCentre Display controls:

  • EddyCentre Impedance Display control
  • EddyCentre DataLogger control


EddyCentre Impedance Display control

The EcImpdDisplay control is really misnamed. Normally the signal from the EcInspection control's probe is an impedance signal, it can sometimes be a voltage (for differential probes for example - even this signal appears in the complex plane as the voltage signal has a phase component too). A typical view of the EcImpdDisplay control is shown in the Figure below.

EcImpdDisplay control added to an EcInspecton control

What the EcImpdDisplay control does is allows you to look at the signal in the X-Y (complex) plane mode or in time sweep mode. Time Sweep mode applies one of various filters and displays the filter output against change in probe position. The Figure below shows an EcInspection control with 2 added ImpdDisplay controls: the top one in X-Y beam mode and the lower one in Time Sweep beam mode.

X-Y Beam mode (upper) and Time Sweep Beam mode (lower)

The EcImpdDisplay control itself is made up several controls that help the user to manage the display and understand the probe signals:

  • Menu bar - provides access to commands and submenus
  • Display screen - where the signals are displayed
  • Scroll bars - controls the axes location
  • Pull-down channel list - Status bar for all active channels

Menu bar

Use the menu bar to gain access to menu commands and submenus. The use of the menu bar is described in the next section.

Display screen

The Display screen is where the signals from the EcInspection control are drawn. The screen is sub-divided into a grid and the signal is drawn, after the desired filter is applied, either in an X-Y plane or in Time Sweep mode. The last filtered data point added to the display is also written to the pull-down channel list.

If you move the mouse pointer over the Display screen, the screen coordinate value is temporarily drawn in the pull-down channel list for the channel that is selected. This allows you to investigate individual data traces on the screen.
Scroll bars

The Scroll bars: vertical and horizontal, might work in a way you might not expect at first. Using the scroll bars moves the axes in the Display screen. Because the EcImpdDisplay control does not store the traces displayed, it cannot re-draw the screen when the axes are moved, so the screen is erased after axes moves. If you are interested in storing the traces just add an EcDataLogger control, which is what it is designed for.

In Time Sweep mode, there is only one axis in the display, so the vertical Scroll bar disappears.

Pull-down channel list

The pull-down channel list has two main uses. The last data point displayed on the Screen is also displayed in the channel list. While only the selected channel appears, by 'pulling down' the list, you can see all the active channels being displayed by the EcImpdDisplay control and all their values. The pull-down channel list's text consists of the channel name and the data point (after the desired filter has been applied).

The second use of the channel list is to associate the colors used in the Display screen with individual channels. The text in the channel list is drawn with the same color of the channel in focus.

The channel colors are defined as follows:

  • Channel 1 - red
  • Channel 2 - yellow
  • Channel 3 - black
  • Channel 4 - blue
  • Channel 5 - cyan
  • Channel 6 - magenta
  • Channel 7 - light blue
  • Channel 8 - light red
  • Channel 9 - light green
  • Channel 10 - light grey


EcImpdDisplay control menu

File menu

Use the File menu's Exit command to close the control. Closing the EcImpdDisplay control removes the EcInspection control and reallocates the screen space.

Edit menu

A typical view of the EcImpdDisplay control's Edit menu is shown in the Figure below.

EcImpdDisplay control's Edit menu

Sweep Size command

When in sweep mode, the display will wrap back to the beginning of the Display screen after Sweep Size number of data points have been drawn. The default Sweep Size is 100. Use the Sweep Size command to change this size.

X/Y Screen Divisions

Use the X Screen Divisions and Y Screen Divisions command to change the number grid lines drawn on the Display screen.

View menu

Use the View menu to control the way the EcImpdDisplay appears and operates. A typical view of the View menu is shown in the Figure below.

EcImpdDisplay control's View menu

Channels menu

When the EcImpdDisplay control is added to an EcInspection control, one channel toggle entry, displaying the channel's name, is added to the Channels menu for each modelled channel. The default behaviour for the EcImpdDisplay control is to display data from all channels, so the Channel commands are marked with a tic, to indicate they are active in the EcImpdDisplay. To activate/deactivate any of the channels at any time, simply click on the desired channel. This will toggle the display causing activated channels to be displayed on the Display screen and deactivated channels hidden. Note; channel information will still appear in the Pull-down Channel list for deactivated channels.

Beam Mode menu

You have a choice of two types of beam modes when using the EcImpdDisplay control: X-Y or Time Sweep. To change the current Beam mode use the Beam Mode menu as shown in the Figure below. You simply click on the desired mode. The currently selected mode is shown with a tic.

Beam Mode menu

Screen Units menu

Use the screen units menu to select the type of filter to apply to the data signals. For X-Y Beam Modes, the signal is a complex pair (X,Y) and the list of filters that can be used appear are shown in the Figure below. All these filters a complex number to a real number.

X-Y Beam Mode Screen units

For Time Sweep Beam Modes the choice of Screen Units is different. The menu list appears in the Figure below.

Time Sweep Beam Mode Screen units

Common Scale toggle

The default behaviour of the EcImpdDisplay control is to optimise the scale for each of the active channel's signals automatically. Click on the Common Scale toggle if you want all the channels to be displayed with a Common Scale. For example, you might use a common scale when studying lift-off signals from various materials.

Clear command

Clears the Display screen of all traces.


EddyCentre DataLogger control

EcDataLogger control

The EddyCenter DataLogger control can be used whenever you want to view or record the raw signals coming from the probe. A typical view of the EcDataLogger control is shown in the Figure below.

EcInspection control with an EcDataLogger control

You can resize the columns by grabbing the boundaries of the column headers and dragging them to the desired size. Double clicking on the column headers sizes the column to the longest entry automatically.


EcDataLogger control menu

File menu

Use the File menu to access the Exit command. The Exit command unloads the EcDataLogger control from inside the EcInspection control, which automatically resizes itself and any remaining Display controls.

Edit menu

Use the Edit menu to access the Copy All command. The Copy All command will copy all the EcDataLogger control's contents. You can then paste them into other applications. The Figure below shows the results of pasting the copy results into Microsoft's Excel.

EcDataLogger control's data copied and pasted into Excel

View menu

Channels menu

Use the EcDataLogger control's Channels menu to select which channels are to be recorded. All selected channels are marked with a tic. The default condition when the control is loaded is that all channels are ticked.

EcDataLogger control's View menu

Clear command

The clear command clears all data from the EcDataLogger control's buffers.

Help menu

Use the help menu to get more information about the EcDataLogger control.


Technical Support

We are striving to make your experience in our EddyCentre laboratory as bug-free as possible. Inevitably, you will come across bugs or have questions on how things work. When this happens we encourage you to contact us with your problem or query. Our Technical Support contact information is provided in the next section. We also maintain a bug-list of known bugs and their status. You may find that the bug you have just found is already being worked on.

Contacts

  • Telephone: +44 1892 724034 (Outside UK)
  • Telephone: 01892 724034 (Inside UK)
  • Fax: +44 1892 722071 (Outside UK)
  • Fax: 01892 722071 (Inside UK)
  • e-mail: techsupport@current.co.uk


Table of Contents

Go to Index


Index

Go to Contents